2022-11-11  Aidan Kehoe  <kehoea@parhasard.net>

	* Makefile (VERSION): XEmacs package 1.58 released.

2021-10-05  Hauke Fath <hauke@Espresso.Rhein-Neckar.DE>

	* Makefile (lisp/tramp-loaddefs.el):
	Propagate MAKE correctly.

2016-01-04  Norbert Koch  <viteno@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.57 released.

2015-12-29  Michael Albinus  <michael.albinus@gmx.de>

	* Makefile (AUTHOR_VERSION): Bump to 2.2.13.

2015-10-04  Norbert Koch  <viteno@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.56 released.

2015-06-28  Michael Albinus  <michael.albinus@gmx.de>

	* Makefile (AUTHOR_VERSION): Bump to 2.2.12.

2015-01-24  Norbert Koch  <viteno@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.55 released.

2015-01-22  Norbert Koch  <viteno@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.54 released.

2014-12-30  Norbert Koch  <viteno@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.53 released.

2014-12-29  Michael Albinus  <michael.albinus@gmx.de>

	* Makefile (AUTHOR_VERSION): Bump to 2.2.11.

2014-06-23  Norbert Koch  <viteno@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.52 released.

2014-06-22  Norbert Koch  <viteno@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.51 released.

2014-06-15  Michael Albinus  <michael.albinus@gmx.de>

	* Makefile (AUTHOR_VERSION): Bump to 2.2.10.

2014-06-02  Jerry James  <james@xemacs.org>

	* .hgignore: Fix paths to _pkg.el, auto-autoloads.el,
	custom-defines.el, and custom-load.el.
	* Makefile: Remove workarounds for texi2html 1.56k, which is more
	than a decade old.

2014-05-22  Norbert Koch  <viteno@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.50 released.

2014-05-15  Norbert Koch  <viteno@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.49 released.

2014-05-15  Norbert Koch  <viteno@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.48 released.

2014-05-13  Jerry James  <james@xemacs.org>

	* .cvsignore: Remove.
	* lisp/.cvsignore: Remove.
	* texi/.cvsignore: Remove.
	* .hgignore: New file.

2014-05-13  Norbert Koch  <viteno@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.47 released.

2014-04-07  Michael Albinus  <michael.albinus@gmx.de>

	* Makefile (AUTHOR_VERSION): Bump to 2.2.9.

2013-10-04  Norbert Koch  <viteno@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.46 released.

2013-10-04  Michael Albinus  <michael.albinus@gmx.de>

	* Makefile (AUTHOR_VERSION): Bump to 2.2.8.

2013-03-19  Norbert Koch  <viteno@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.45 released.

2013-03-15  Michael Albinus  <michael.albinus@gmx.de>

	* Makefile (AUTHOR_VERSION): Bump to 2.2.7.

2013-02-08  Norbert Koch  <viteno@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.44 released.

2013-01-30  Michael Albinus  <michael.albinus@gmx.de>

	Sync with Tramp 2.2 upstream.

2013-01-29  Michael Albinus  <michael.albinus@gmx.de>

	* Makefile (LISPFILES): New variable.
	(ELCS): Derive from $(LISPFILES).  Add lisp/tramp-loaddefs.elc.
	(EXTRA_SOURCES): Remove lisp/tramp-loaddefs.el.
	(lisp/tramp-loaddefs.el): New target.

	* lisp/Makefile: Add from upstream.

	* lisp/tramp-loaddefs.el: Remove from repository.  It is generated
	now.

2013-01-28  Michael Albinus  <michael.albinus@gmx.de>

	* Makefile (EXTRA_SOURCES): Add lisp/tramp-loaddefs.el.

2013-01-27  Norbert Koch  <viteno@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.41 released.

2013-01-23  Michael Albinus  <michael.albinus@gmx.de>

	* lisp/tramp-loaddefs.el: Remove entries for tramp-ftp, tramp-gvfs
	and tramp-gw.

2013-01-22  Michael Albinus  <michael.albinus@gmx.de>

	* Makefile (ELCS): Remove lisp/tramp-ftp.elc
	lisp/tramp-gw.elc lisp/tramp-loaddefs.elc.

	* lisp/Makefile:
        * lisp/tramp-ftp.el:
	* lisp/tramp-gvfs.el:
	* lisp/tramp-gw.el: Remove files from repository.  They are not
	needed for XEmacs.

2013-01-21  Michael Albinus  <michael.albinus@gmx.de>

	* Makefile (ELCS): Remove lisp/tramp-gvfs.elc.

2013-01-15  Michael Albinus  <michael.albinus@gmx.de>

	Sync with Tramp 2.2 upstream.

	* Makefile (AUTHOR_VERSION): Bump to 2.2.7.pre.
	(MAINTAINER): Change to Michael Albinus.
	(ELCS): Adapt list to Tramp 2.2 structure.
	(EXPLICIT_DOCS): Remove tramp_ja.texi.

2008-01-03  Norbert Koch  <viteno@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.40 released.

2008-01-03  Michael Sperber  <mike@xemacs.org>

	* Makefile (REQUIRES): Add `edebug', which is needed to generate a
	tramp.elc that loads in the presence of edebug.

2007-09-16  Norbert Koch  <viteno@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.39 released.

2007-09-06  Ville Skyttä  <scop@xemacs.org>

	* lisp/tramp-vc.el (vc-user-login-name): Use `vc-find-version'
	instead of `process-file' to check whether we have a new enough
	vc that doesn't need the defadvice.

2007-06-11  Norbert Koch  <viteno@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.38 released.

2007-05-28  Michael Albinus  <michael.albinus@gmx.de>

	* Makefile (AUTHOR_VERSION): Bump to 2.0.56.

2007-04-01  Norbert Koch  <viteno@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.37 released.

2007-03-22  Norbert Koch  <viteno@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.36 released.

2007-01-15  Norbert Koch  <viteno@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.35 released.

2006-12-30  Michael Albinus  <michael.albinus@gmx.de>

	* Makefile (AUTHOR_VERSION): Bump to 2.0.55.

2006-10-21  Norbert Koch  <viteno@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.34 released.

2006-08-29  Norbert Koch  <viteno@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.33 released.

2006-08-29  Michael Albinus  <michael.albinus@gmx.de>

	* Makefile (AUTHOR_VERSION): Bump to 2.0.54.

2006-05-01  Norbert Koch  <viteno@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.32 released.

2006-04-18  Norbert Koch  <viteno@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.31 released.

2006-04-17  Michael Albinus  <michael.albinus@gmx.de>

	* Makefile (AUTHOR_VERSION): Bump to 2.0.53.

2006-02-13  Norbert Koch  <viteno@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.30 released.

2006-01-23  Norbert Koch  <viteno@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.29 released.

2006-01-22  Michael Albinus  <michael.albinus@gmx.de>

	* Makefile (AUTHOR_VERSION): Bump to 2.0.52.

2005-10-12  Norbert Koch  <viteno@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.28 released.

2005-10-11  Steve Youngs  <steve@sxemacs.org>

	* Makefile (REQUIRES): Remove fsf-compat, add sh-script (for
	executable-find).

2005-10-09  Norbert Koch  <viteno@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.27 released.

2005-10-08  Michael Albinus  <michael.albinus@gmx.de>

	* Makefile (AUTHOR_VERSION): Bump to 2.0.51.

2005-08-08  Norbert Koch  <viteno@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.26 released.

2005-08-07  Michael Albinus  <michael.albinus@gmx.de>

	* Makefile (AUTHOR_VERSION): Bump to 2.0.50.

2005-06-26  Norbert Koch  <viteno@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.25 released.

2005-05-18  Norbert Koch  <viteno@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.24 released.

2005-05-14  Michael Albinus  <michael.albinus@gmx.de>

	* Makefile (AUTHOR_VERSION): Bump to 2.0.49.

2005-03-21  Norbert Koch  <viteno@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.23 released.

2005-03-20  Michael Albinus  <michael.albinus@gmx.de>

	* Makefile (AUTHOR_VERSION): Bump to 2.0.48.

2005-01-17  Norbert Koch  <viteno@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.22 released.

2005-01-16  Michael Albinus  <michael.albinus@gmx.de>

	* Makefile (AUTHOR_VERSION): Bump to 2.0.47.

2004-12-24  Norbert Koch  <viteno@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.21 released.

2004-12-23  Michael Albinus  <michael.albinus@gmx.de>

	* Makefile (AUTHOR_VERSION): Bump to 2.0.46.

2004-10-18  Norbert Koch  <viteno@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.20 released.

2004-10-17  Michael Albinus  <michael.albinus@gmx.de>

	* Makefile (AUTHOR_VERSION): Bump to 2.0.45.

2004-10-01  Norbert Koch  <viteno@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.19 released.

2004-09-29  Norbert Koch  <viteno@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.18 released.

2004-09-22  Michael Albinus  <michael.albinus@gmx.de>

	* Makefile (AUTHOR_VERSION): Bump to 2.0.44.

2003-12-02  Norbert Koch  <viteno@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.17 released.

2003-11-25  Jeff Miller <jmiller@cablespeed.com>

	* Makefile (MAKEINFO_FLAGS):
	Add -D xemacs so that XEmacs specific tramp syntax is used
	in the info files, not the Emacs syntax.

2003-07-21  Norbert Koch  <viteno@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.16 released.

2003-06-20  Norbert Koch  <viteno@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.15 released.

2003-06-17  Kai Großjohann  <kai.grossjohann@gmx.net>

	* Makefile (AUTHOR_VERSION): Bump to 2.0.35.

2003-06-17  Kai Großjohann  <kai.grossjohann@gmx.net>

	* Makefile (EXTRA_SOURCES): ChangeLog.upstream
	(MAINTAINER): New email address.

2003-06-15  Norbert Koch  <viteno@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.14 released.

2003-06-15  Kai Großjohann  <kai.grossjohann@gmx.net>

	* Makefile (ELCS): Add new files.

	* package-info.in: Add new provides.

2003-05-26  Norbert Koch  <viteno@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.13 released.

2003-04-02  Norbert Koch  <viteno@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.12 released.

2003-04-02  Steve Youngs  <youngs@xemacs.org>

	* package-info.in (provides): Add tramp-uu.

	* Makefile (ELCS): Add tramp-uu.elc.

2003-03-09  Ben Wing  <ben@xemacs.org>

	* Makefile (.texi.info): Removed.
	* Makefile (texinfo): Removed.
	* Makefile:
	Delete explicit compile:: and binkit: rules.
	Don't add custom-load.elc to the list of generated elc's.
	Include Local.rules.inc at the beginning for access to
	BUILD_WITHOUT_MULE, and put the include of XEmacs.rules at the
	end.
	Use EXPLICIT_DOCS instead of explicitly giving the targets
	and dependencies.
	Move the include of XEmacs.rules to the end of the file.
	Eliminate recursive doc building.  Move MAKEINFO_FLAGS into
	this file from texi/Makefile.

2003-01-03  Rendhalver [Peter Brown]  <rendhalver@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.11 released.

2002-11-29  Ben Wing  <ben@xemacs.org>

	* Makefile: Use `compile' instead of hard-coded `all'.

2002-10-15  Ville Skyttä  <scop@xemacs.org>

	* Makefile (srckit): Remove.

2002-10-14  Rendhalver [Peter Brown]  <rendhalver@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.10 released.

2002-10-13  Ville Skyttä  <scop@xemacs.org>

	* Makefile (INFO_DEP): New.
	(texinfo): Use INFO_DEP.
	(AUTHOR_VERSION): Bring up to date, 2.0.22.
	(MANUAL): Remove, unused.

2002-10-12  Ville Skyttä  <scop@xemacs.org>

	* Makefile (INFO_FILES): Change to .info* (for make clean).

2002-10-07  Rendhalver [Peter Brown]  <rendhalver@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.09 released.

2002-08-26  Rendhalver [Peter Brown]  <rendhalver@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.08 released.

2002-08-17  Adrian Aichner  <adrian@xemacs.org>

	* Makefile (TEXI_FILES): Add Japanese files.

2002-08-12  Rendhalver [Peter Brown]  <rendhalver@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.07 released.

	* Makefile (VERSION): XEmacs package 1.06 released.

2002-08-07  Kai Großjohann  <Kai.Grossjohann@CS.Uni-Dortmund.DE>

	Sync with upstram version 2.0.12.
	Bug fixes.

2002-08-07  Kai Großjohann  <Kai.Grossjohann@CS.Uni-Dortmund.DE>

	Sync with upstram version 2.0.11.

2002-08-04  Ville Skyttä  <scop@xemacs.org>

	* Makefile (REQUIRES): Add ediff.
	(AUTHOR_VERSION): Set to 2.0.10.

2002-08-04  Kai Großjohann  <Kai.Grossjohann@CS.Uni-Dortmund.DE>

	* Sync with upstream version 2.0.10.

2002-04-24  Steve Youngs  <youngs@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.05 released.

2002-03-25  Steve Youngs  <youngs@xemacs.org>

	* Makefile (VERSION): 1.04 released.

2002-03-17  Adrian Aichner  <adrian@xemacs.org>

	* Makefile: Add html rule to invoke texi/Makefile.

2002-01-27  Steve Youngs  <youngs@xemacs.org>

	* Makefile (MAINTAINER): Change to Kai.

2002-01-07  Adrian Aichner  <adrian@xemacs.org>

	* Makefile (HTML_FILES): New.
	* Makefile (HTML_DEP): New.

2001-12-08  Steve Youngs  <youngs@xemacs.org>

	* README: Update to reflect XEmacs package branch, add section
	about getting Tramp2 code.

	* Makefile: Re-write.
	* Makefile.XEmacs: Remove.

2001-12-06  Stephen J. Turnbull  <stephen@xemacs.org>

	* Makefile: Conditionally include Makefile.XEmacs.
	* Makefile.XEmacs:
	* package-info.in:
	New files.  Packagize TRAMP.

2001-11-07  Kai Großjohann  <Kai.Grossjohann@CS.Uni-Dortmund.DE>

	* Makefile (sourceforge): Submit tarballs via FTP automatically.

2001-10-08  Kai Großjohann  <Kai.Grossjohann@CS.Uni-Dortmund.DE>

	* Makefile (tar): Add rules for more tarballs.

2001-09-07  Kai Großjohann  <Kai.Grossjohann@CS.Uni-Dortmund.DE>

	* Makefile (Module): Rule for submitting to SourceForge.
